Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.apache.batik.apps.svgbrowser.DOMViewer

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants, ActionMap

    public class DOMViewer

extends JFrame
implements ActionMap

The components of this class are used to view a DOM tree.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `DOMViewer.CapturingClickButtonAction` The action associated with the 'Capturing-click' toggle button of the viewer panel.
`protected class` | `DOMViewer.CloseButtonAction` The action associated with the 'Close' button of the viewer panel
`protected static class` | `DOMViewer.ContentNodeInfo` To store the node information for an xbl:content node's selected content.
`protected class` | `DOMViewer.DOMViewerDOMDocumentTreeController` DOMDocumentTreeController implementation.
`protected class` | `DOMViewer.DOMViewerElementOverlayController` ElementOverlayController implementation.
`protected class` | `DOMViewer.DOMViewerNodePickerController` NodePickerController implementation.
`protected static class` | `DOMViewer.NodeInfo` To store the nodes informations
`protected class` | `DOMViewer.OverlayButtonAction` The action associated with the 'overlay' toggle button of the viewer panel.
`class` | `DOMViewer.Panel` The panel that contains the viewer.
`protected class` | `DOMViewer.RedoButtonAction` The action associated with the 'Redo' dropdown button of the viewer panel
`protected static class` | `DOMViewer.ShadowNodeInfo` To store the node information for a shadow tree.
`protected class` | `DOMViewer.UndoButtonAction` The action associated with the 'Undo' dropdown button of the viewer panel

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected static ResourceBundle` | `bundle` The resource bundle
`protected ButtonFactory` | `buttonFactory` The button factory.
`protected boolean` | `canEdit` Whether the DOMViewer can be used for editing the document.
`protected DOMViewerController` | `domViewerController` The DOMViewer controller.
`protected ElementOverlayManager` | `elementOverlayManager` Manages the element selection on the canvas.
`protected HistoryBrowserInterface` | `historyBrowserInterface` The history browsing manager.
`protected boolean` | `isCapturingClickEnabled` Whether "capturing click" tool is enabled.
`protected boolean` | `isElementOverlayEnabled` Whether painting the overlay on the canvas is enabled.
`protected Map` | `listeners` The map that contains the listeners
`protected JToggleButton` | `overlayButton` The button for enabling and disabling the overlay.
`protected DOMViewer.Panel` | `panel` The panel.
`protected static String` | `RESOURCE` The resource file name
`protected static ResourceManager` | `resources` The resource manager
`protected boolean` | `showWhitespace` Whether to show text nodes that contain only whitespace in the tree.

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DOMViewer(DOMViewerController controller)` Creates a new DOMViewer panel.

Method Summary
`boolean` | `canEdit()` Whether the document can be edited using the DOMViewer.
`Action` | `getAction(String key)` Returns the action associated with the given string or null on error
`void` | `resetHistory()` Resets the history.
`void` | `selectNode(Node node)` Selects and scrolls to the given node in the document tree.
`void` | `setDocument(Document doc)` Sets the document to display.
`void` | `setDocument(Document doc, ViewCSS view)` Sets the document to display and its ViewCSS.
`void` | `setEditable(boolean canEdit)` Enables / disables the DOMViewer to be used to edit the documents.
`void` | `setShowWhitespace(boolean state)` Sets whether to show text nodes that contain only whitespace in the tree.
`protected void` | `toggleOverlay()` Toggles the element highlighting overlay.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### RESOURCE

    protected static final String RESOURCE

  The resource file name

  See Also:
    Constant Field Values

### bundle

    protected static ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### listeners

    protected Map listeners

  The map that contains the listeners

### buttonFactory

    protected ButtonFactory buttonFactory

  The button factory.

### panel

    protected DOMViewer.Panel panel

  The panel.

### showWhitespace

    protected boolean showWhitespace

  Whether to show text nodes that contain only whitespace in the tree.

### isCapturingClickEnabled

    protected boolean isCapturingClickEnabled

  Whether "capturing click" tool is enabled. If enabled, the element being clicked on is found and selected in the DOMViewer's document tree

### domViewerController

    protected DOMViewerController domViewerController

  The DOMViewer controller.

### elementOverlayManager

    protected ElementOverlayManager elementOverlayManager

  Manages the element selection on the canvas.

### isElementOverlayEnabled

    protected boolean isElementOverlayEnabled

  Whether painting the overlay on the canvas is enabled.

### historyBrowserInterface

    protected HistoryBrowserInterface historyBrowserInterface

  The history browsing manager. Manages undo / redo.

### canEdit

    protected boolean canEdit

  Whether the DOMViewer can be used for editing the document.

### overlayButton

    protected JToggleButton overlayButton

  The button for enabling and disabling the overlay.

Constructor Detail

### DOMViewer

    public DOMViewer(DOMViewerController controller)

  Creates a new DOMViewer panel.

Method Detail

### setShowWhitespace

    public void setShowWhitespace(boolean state)

  Sets whether to show text nodes that contain only whitespace in the tree.

### setDocument

    public void setDocument(Document doc)

  Sets the document to display.

### setDocument

    public void setDocument(Document doc,
                            ViewCSS view)

  Sets the document to display and its ViewCSS.

### canEdit

    public boolean canEdit()

  Whether the document can be edited using the DOMViewer.

  Returns:
    True if the document can be edited throught the DOMViewer

### setEditable

    public void setEditable(boolean canEdit)

  Enables / disables the DOMViewer to be used to edit the documents.

  Parameters:
    `canEdit` - True - The DOMViewer can be used to edit the documents

### selectNode

    public void selectNode(Node node)

  Selects and scrolls to the given node in the document tree.

  Parameters:
    `node` - The node to be selected

### resetHistory

    public void resetHistory()

  Resets the history.

### getAction

    public Action getAction(String key)
                     throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

### toggleOverlay

    protected void toggleOverlay()

  Toggles the element highlighting overlay.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.